Get posts feed
GET
Retrieve a curated, paginated list of posts.
cursor?stringCursor for pagination
limit?integerMaximum number of items to return (1-60, default: 20)
Range
1 <= value <= 60Default
20includeContent?|Include full content fields (json, staticHtml, markdown) in the post. Default: false
Feed items retrieved successfully
application/json- response
items*array<>Array of items in this page
pagination*curl -X GET "https://example.com/v1/posts/feed"{ "items": [ { "post": { "id": "string", "title": "string", "imageUrl": "http://example.com", "imageAlt": "string", "publishedAt": "string", "updatedAt": "string", "subtitle": "string", "slug": "string", "staticHtml": "string", "json": "string", "markdown": "string", "coinId": "string", "categories": [ "string" ], "canonicalUrl": "http://example.com", "publishOnline": true, "communityId": "string", "authors": [ { "id": "string", "walletAddress": "string", "avatarUrl": "http://example.com", "publicationId": "string", "name": "string", "bio": "string" } ], "authorIds": [ "string" ], "views": 0, "status": "published" }, "publication": { "id": "string", "name": "string", "ownerUserId": "string", "slug": "string", "customDomain": "http://example.com", "summary": "string", "logoUrl": "http://example.com", "postListType": "feed", "themeColor": "default", "headerFont": "default", "bodyFont": "default", "showMostPopular": true, "hideStats": true, "featuredPost": "string", "enableTableOfContents": true, "enableSubscribePopup": true, "enableSubscribeScroll": true, "pinnedPostIds": [ "string" ], "emailNotifications": { "newSubscriber": true } }, "user": { "id": "string", "walletAddress": "string", "avatarUrl": "http://example.com", "publicationId": "string", "name": "string", "bio": "string" } } ], "pagination": { "cursor": "string", "hasMore": true, "total": 0 }}